> ## Documentation Index
> Fetch the complete documentation index at: https://developers.stellar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Assets

> This endpoint lists all [assets](https://developers.stellar.org/docs/learn/fundamentals/stellar-data-structures/assets).

> [!TIP]
>
> **Supports Streaming**
>
> This endpoint supports streaming. To read more about this, visit the [streaming section](/docs/data/apis/horizon/api-reference/structure/streaming.md).


## OpenAPI

````yaml openapi/horizon/bundled.yml GET /assets
openapi: 3.1.0
info:
  title: Horizon
  version: 0.0.1
  summary: >-
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by Stellar Core. This API serves the bridge
    between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.
  description: >
    Horizon provides an HTTP API to data in the Stellar network. It ingests and
    re-serves the data produced by the Stellar network in a form that is easier
    to consume by the average application relative to the performance-oriented
    data representations used by [Stellar
    Core](https://developers.stellar.org/network/core-node). This API serves the
    bridge between apps and Stellar Core. Projects like wallets, decentralized
    exchanges, and asset issuers use Horizon to submit transactions, query an
    account balance, or stream events like transactions to an account.


    Horizon can be accessed via cURL, a browser, or one of the [Stellar
    SDKs](https://developers.stellar.org/docs/tools/sdks). To reduce the
    complexity of your project, we recommend you use an SDK instead of making
    direct API calls.


    This guide describes how to administer a production Horizon instance (refer
    to the [Developers'
    Blog](https://stellar.org/blog/developers/a-new-sun-on-the-horizon) for some
    background on the performance and architectural improvements of this major
    version bump). For information about developing on the Horizon codebase,
    check out the [Development
    Guide](https://github.com/stellar/stellar-horizon/blob/main/DEVELOPING.md).


    Before we begin, it's worth reiterating the sentiment echoed in the [Core
    Node](https://developers.stellar.org/network/core-node) documentation: **we
    do not endorse running Horizon backed by a standalone Stellar Core
    instance**, and especially not by a _validating_ Stellar Core. These are two
    separate concerns, and decoupling them is important for both reliability and
    performance. Horizon instead manages its own, pared-down version of Stellar
    Core optimized for its own subset of needs (we'll refer to this as a
    "Captive Core" instance).
  termsOfService: https://stellar.org/terms-of-service
  contact:
    name: Stellar Development Foundation
    url: https://stellar.org
    email: hello@stellar.org
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://horizon-testnet.stellar.org
    description: The Testnet Network
  - url: https://horizon-futurenet.stellar.org
    description: The Futurenet network
security: []
tags:
  - name: Accounts
    description: >-
      Users interact with the Stellar network through accounts. Everything else
      in the ledger—assets, offers, trustlines, etc. are owned by accounts, and
      accounts must authorize all changes to the ledger through signed
      transactions.
  - name: Assets
    description: >-
      Assets are representations of value issued on the Stellar network. An
      asset consists of a type, code, and issuer.
  - name: Claimable Balances
    description: >-
      A Claimable Balance represents the transfer of ownership of some amount of
      an asset. Claimable balances provide a mechanism for setting up a payment
      which can be claimed in the future. This allows you to make payments to
      accounts which are currently not able to accept them.
  - name: Effects
    description: >-
      Effects represent specific changes that occur in the ledger as a result of
      successful operations, but are not necessarily directly reflected in the
      ledger or history, as transactions and operations are.
  - name: Fee Stats
    description: >-
      Fee stats are used to predict what fee to set for a transaction before
      submitting it to the network.
  - name: Liquidity Pools
    description: >-
      Liquidity Pools provide a simple, non-interactive way to trade large
      amounts of capital and enable high volumes of trading.
  - name: Ledgers
    description: >-
      Each ledger stores the state of the network at a point in time and
      contains all the changes - transactions, operations, effects, etc. - to
      that state.
  - name: Offers
    description: >-
      Offers are statements about how much of an asset an account wants to buy
      or sell.
  - name: Operations
    description: >-
      Operations are objects that represent a desired change to the ledger:
      payments, offers to exchange currency, changes made to account options,
      etc. Operations are submitted to the Stellar network grouped in a
      Transaction.
  - name: Order Books
    description: An order book is a collections of offers for a specific pair of assets.
  - name: Paths
    description: >-
      Paths provide information about potential path payments. A path can be
      used to populate the necessary fields for a path payment operation.
  - name: Payments
    description: >-
      Payments are objects that represent balance transfer from one address to
      another. Payments are submitted to the Stellar network grouped in a
      Transaction.
  - name: Trade Aggregations
    description: >-
      A trade aggregation represents aggregated statistics on an asset pair
      (base and counter) for a specific time period. Trade aggregations are
      useful to developers of trading clients and provide historical trade data.
  - name: Trades
    description: >-
      When an offer is fully or partially fulfilled, a trade happens. Trades can
      also be caused by successful path payments, because path payments involve
      fulfilling offers. A trade occurs between two parties—base and counter.
      Which is which is either arbitrary or determined by the calling query.
  - name: Transactions
    description: >-
      Transactions are commands that modify the ledger state and consist of one
      or more operations.
paths:
  /assets:
    get:
      tags:
        - Assets
      summary: List all Assets
      description: >-
        This endpoint lists all
        [assets](https://developers.stellar.org/docs/learn/fundamentals/stellar-data-structures/assets).
      operationId: ListAllAssets
      parameters:
        - $ref: '#/components/parameters/AssetCodeParam'
        - $ref: '#/components/parameters/AssetIssuerParam'
        - $ref: '#/components/parameters/CursorParam'
        - $ref: '#/components/parameters/OrderParam'
        - $ref: '#/components/parameters/LimitParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Links'
                  - $ref: '#/components/schemas/Asset'
              examples:
                ListAllAssets:
                  $ref: '#/components/examples/ListAllAssets'
components:
  parameters:
    AssetCodeParam:
      name: asset_code
      in: query
      required: false
      description: The code of the asset you would like to filter by.
      schema:
        type: string
        example: USD
    AssetIssuerParam:
      name: asset_issuer
      in: query
      required: false
      description: >-
        The Stellar address of the issuer for the asset you would like to filter
        by.
      schema:
        type: string
        example: GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX
    CursorParam:
      name: cursor
      in: query
      required: false
      description: >-
        A number that points to a specific location in a collection of responses
        and is pulled from the paging_token value of a record.
      schema:
        type: integer
        example: 6606617478959105
    OrderParam:
      name: order
      in: query
      required: false
      description: >-
        A designation of the order in which records should appear. Options
        include `asc` (ascending) or `desc` (descending). If this argument isn’t
        set, it defaults to `asc`.
      schema:
        type: string
        enum:
          - asc
          - desc
    LimitParam:
      name: limit
      in: query
      required: false
      description: >-
        The maximum number of records returned. The limit can range from 1 to
        200 - an upper limit that is hardcoded in Horizon for performance
        reasons. If this argument isn’t designated, it defaults to 10.
      schema:
        type: integer
        example: 10
  schemas:
    Links:
      type: object
      properties:
        _links:
          type: object
          properties:
            self:
              $ref: '#/components/schemas/link'
            next:
              $ref: '#/components/schemas/link'
            prev:
              $ref: '#/components/schemas/link'
    Asset:
      type: object
      properties:
        _embedded:
          type: object
          properties:
            records:
              type: array
              items:
                type: object
                properties:
                  _links:
                    type: object
                    properties:
                      toml:
                        $ref: '#/components/schemas/link'
                  asset_type:
                    type: string
                  asset_issuer:
                    $ref: '#/components/schemas/address'
                  paging_token:
                    type: string
                  accounts:
                    type: object
                    properties:
                      authorized:
                        type: integer
                      authorized_to_maintain_liabilities:
                        type: integer
                      unauthorized:
                        type: integer
                  num_claimable_balances:
                    type: integer
                  num_contracts:
                    type: integer
                  num_liquidity_pools:
                    type: integer
                  balances:
                    type: object
                    properties:
                      authorized:
                        type: string
                      authorized_to_maintain_liabilities:
                        type: string
                      unauthorized:
                        type: string
                  claimable_balances_amount:
                    type: string
                  contracts_amount:
                    type: string
                  liquidity_pools_amount:
                    type: string
                  flags:
                    type: object
                    properties:
                      auth_required:
                        type: boolean
                      auth_revocable:
                        type: boolean
                      auth_immutable:
                        type: boolean
    link:
      type: object
      properties:
        href:
          type: string
          format: link
        templated:
          type: boolean
      required:
        - href
    address:
      type: string
      pattern: G[A-Z0-9]{55}
  examples:
    ListAllAssets:
      value:
        _links:
          self:
            href: >-
              https://horizon-testnet.stellar.org/assets?asset_code=CNY&cursor=&limit=3&order=asc
          next:
            href: >-
              https://horizon-testnet.stellar.org/assets?asset_code=CNY&cursor=CNY_GABGBJYLIC2OGATH3DVW22UEB66TFMWC3VKTAPFIOINVESRZLFKIHA4I_credit_alphanum4&limit=3&order=asc
          prev:
            href: >-
              https://horizon-testnet.stellar.org/assets?asset_code=CNY&cursor=CNY_GA6VXTS64XUOCQZSBAYHD24ZYJYPNB3KJ2CVKSYIE43P2DQQIX74UT2A_credit_alphanum4&limit=3&order=desc
        _embedded:
          records:
            - _links:
                toml:
                  href: https://swisscustodys.org/.well-known/stellar.toml
              asset_type: credit_alphanum4
              asset_code: CNY
              asset_issuer: GA6VXTS64XUOCQZSBAYHD24ZYJYPNB3KJ2CVKSYIE43P2DQQIX74UT2A
              paging_token: >-
                CNY_GA6VXTS64XUOCQZSBAYHD24ZYJYPNB3KJ2CVKSYIE43P2DQQIX74UT2A_credit_alphanum4
              num_claimable_balances: 0
              num_contracts: 0
              num_liquidity_pools: 0
              accounts:
                authorized: 10
                authorized_to_maintain_liabilities: 0
                unauthorized: 0
              claimable_balances_amount: '0.0000000'
              contracts_amount: '0.0000000'
              liquidity_pools_amount: '0.0000000'
              balances:
                authorized: '899996000000.0000000'
                authorized_to_maintain_liabilities: '0.0000000'
                unauthorized: '0.0000000'
              flags:
                auth_required: false
                auth_revocable: false
                auth_immutable: false
                auth_clawback_enabled: false
            - _links:
                toml:
                  href: https://StellarAssets.org/fx/.well-known/stellar.toml
              asset_type: credit_alphanum4
              asset_code: CNY
              asset_issuer: GAASPHILC6DCBPP2P4T66QNSYF6C6OGN6DK36NY4G5SBR7AWH75TJG7N
              paging_token: >-
                CNY_GAASPHILC6DCBPP2P4T66QNSYF6C6OGN6DK36NY4G5SBR7AWH75TJG7N_credit_alphanum4
              num_claimable_balances: 0
              num_contracts: 0
              num_liquidity_pools: 0
              accounts:
                authorized: 43
                authorized_to_maintain_liabilities: 0
                unauthorized: 0
              claimable_balances_amount: '0.0000000'
              contracts_amount: '0.0000000'
              liquidity_pools_amount: '0.0000000'
              balances:
                authorized: '1.0000000'
                authorized_to_maintain_liabilities: '0.0000000'
                unauthorized: '0.0000000'
              flags:
                auth_required: false
                auth_revocable: true
                auth_immutable: false
                auth_clawback_enabled: true
            - _links:
                toml:
                  href: https://masterstellar.com/.well-known/stellar.toml
              asset_type: credit_alphanum4
              asset_code: CNY
              asset_issuer: GABGBJYLIC2OGATH3DVW22UEB66TFMWC3VKTAPFIOINVESRZLFKIHA4I
              paging_token: >-
                CNY_GABGBJYLIC2OGATH3DVW22UEB66TFMWC3VKTAPFIOINVESRZLFKIHA4I_credit_alphanum4
              num_claimable_balances: 0
              num_contracts: 0
              num_liquidity_pools: 0
              accounts:
                authorized: 1
                authorized_to_maintain_liabilities: 0
                unauthorized: 0
              claimable_balances_amount: '0.0000000'
              contracts_amount: '0.0000000'
              liquidity_pools_amount: '0.0000000'
              balances:
                authorized: '65000000000.0000000'
                authorized_to_maintain_liabilities: '0.0000000'
                unauthorized: '0.0000000'
              flags:
                auth_required: false
                auth_revocable: false
                auth_immutable: false
                auth_clawback_enabled: false

````